Cyberduck Mountain Duck CLI

#4456 closed defect (worksforme)

Will not connect to S3. Fails silently.

Reported by: deyk@… Owned by: dkocher
Priority: normal Milestone: 3.6
Component: s3 Version: 3.4.2
Severity: blocker Keywords:
Cc: Architecture:
Platform: Mac OS X 10.5

Description

Immediately after updating to 3.4.2, I could no longer connect to S3. Double-clicking on my S3 bookmark results in no effect, except a quick flash of text in the status bar. No error message, no connection.

Downgrading to 3.4.1 resolves this issue, and I can connect as normal.

Change History (6)

comment:1 Changed on May 13, 2010 at 4:10:13 AM by dkocher

  • Summary changed from Cyberduck 3.4.2 will not connect to S3. Fails silently. to Will not connect to S3. Fails silently.

comment:2 Changed on May 13, 2010 at 5:13:16 PM by anonymous

Same issue here, but it's not silent. Cannot authenticate to S3 using Cyberduck 3.4.2. "Downgrading" to 3.4.1 fixed the issue immediately for me.

comment:3 Changed on May 16, 2010 at 1:28:32 AM by dkocher

#4445 closed as duplicate.

comment:4 follow-up: Changed on May 18, 2010 at 8:37:19 AM by yla

  • Resolution set to worksforme
  • Status changed from new to closed

Make sure that the server name in the bookmark is set to s3.amazonaws.com instead of aws.amazonaws.com. Then please try again.

comment:5 in reply to: ↑ 4 Changed on May 18, 2010 at 4:34:48 PM by deyk@…

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Replying to yla:

Make sure that the server name in the bookmark is set to s3.amazonaws.com instead of aws.amazonaws.com. Then please try again.

Confirmed. Using either s3 or aws, Cyberduck will not connect when I upgrade to 3.4.2. Thanks.

comment:6 Changed on Jun 5, 2010 at 12:51:26 AM by dkocher

  • Milestone set to 3.6
  • Resolution set to worksforme
  • Status changed from reopened to closed

I cannot replicate this issue. Please try the latest snapshot.

Note: See TracTickets for help on using tickets.
swiss made software